ImagickDraw::pushPattern
ImagickDraw::render
The ImagickDraw class
PHP Manual

# ImagickDraw::rectangle

(No version information available, might be only in CVS)

ImagickDraw::rectangle — Draws a rectangle

### Description

bool ImagickDraw::rectangle ( float `$x1` , float `$y1` , float `$x2` , float `$y2` )
Warning

This function is currently not documented; only its argument list is available.

Draws a rectangle given two coordinates and using the current stroke, stroke width, and fill settings.

### Parameters

`x1`

  x coordinate of the top left corner

`y1`

  y coordinate of the top left corner

`x2`

  x coordinate of the bottom right corner

`y2`

  y coordinate of the bottom right corner

### Return Values

No value is returned.

ImagickDraw::pushPattern
ImagickDraw::render
The ImagickDraw class
PHP Manual